%define anolis_release 1

Name:		datefudge
Version:	1.24
Release:	%{anolis_release}%{?dist}
Summary:	Fake the system date

License:	GPLv2+
URL:		http://packages.qa.debian.org/d/datefudge.html
Source0:	http://cdn.debian.net/debian/pool/main/d/datefudge/%{name}_%{version}.tar.xz

BuildRequires:  gcc
BuildRequires: make
%description
This program (and preload library) fakes the system date so that 
programs think the wall clock is ... different. The faking is not 
complete; time-stamp on files are not affected in any way. This 
package is useful if you want to test the date handling of your 
programs without changing the system clock. 

%package doc
Summary:        Doc files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description doc
Doc files for %{name}

%prep
%autosetup -p1
sed "s/VERSION := \$\(.*\)/VERSION := %{version}/g" -i Makefile
sed 's/-o root -g root/-p/g' -i Makefile

%build
LDFLAGS="%{__global_ldflags}" CFLAGS="%{optflags}" make libdir=%{_libexecdir} %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} libdir=%{_libexecdir}
chmod +x %{buildroot}/%{_libexecdir}/%{name}/datefudge.so #for stripping
%generate_compatibility_deps

%files
%{_libexecdir}/%{name}
%license COPYING
%{_mandir}/man1/datefudge.1*
%{_bindir}/datefudge
%dir %{abidir}
%{abidir}/*.dump
%{abidir}/*-option.list

%files doc
%doc README

%changelog
* Mon Apr 03 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.24-1
- init from upstream
